apiVersion: apps/v1
kind: Deployment
metadata:
  name: dummy-app
  labels:
    app.kubernetes.io/name: nginx
    app.kubernetes.io/version: 1.21.0
spec:
  replicas: 3
  selector:
    matchLabels:
      app.kubernetes.io/name: nginx
  template:
    metadata:
      labels:
        app.kubernetes.io/name: nginx
    spec:
      containers:
        - name: nginx
          image: nginx:alpine
          ports:
            - name: http
              containerPort: 80
          volumeMounts:
            - name: config-volume
              mountPath: /etc/nginx/conf.d
            - name: secret-volume
              mountPath: /etc/nginx/ssl
      volumes:
        - name: config-volume
          configMap:
            name: nginx-configmap-dummy
        - name: secret-volume
          secret:
            secretName: nginx-secret